                LIST

;==========================================================================
; Build date : Jun 02 2017
;  HCIDE HC18P235L processor include
; 
;  (c) Copyright 2012-2017 Holychip Technology, All rights reserved
;==========================================================================

        NOLIST

;==========================================================================
;  This header file defines configurations, registers, and other useful
;  Bits of information for the HC18P235L microcontroller.  These names
;  are taken to match the data sheets as closely as possible.
;
;  Note that the processor must be selected before this file is included.
;  The processor may be selected the following ways:
;
;       1. Command line switch:
;       2. LIST directive in the source file
;               LIST   P=HC18P235L
;       3. Processor Type entry in the HCIDE full-screen interface
;       4. Setting the processor in the HCIDE Project Dialog
;==========================================================================

;==========================================================================
;
;       Verify Processor
;
;==========================================================================
        IFNDEF __16P235L
           MESSG "Processor-header file mismatch.  Verify selected processor."
        ENDIF



;==========================================================================
;
;       Register Definitions
;
;==========================================================================

W                EQU  H'0000'
F                EQU  H'0001'

;----- Register Files -----------------------------------------------------

;-----Bank0------------------
INDF0            EQU  H'0000'
INDF1            EQU  H'0001'
PCL              EQU  H'0002'
STATUS           EQU  H'0003'
FSR0             EQU  H'0004'
FSR0L            EQU  H'0004'
FSR0H            EQU  H'0005'
FSR1             EQU  H'0006'
FSR1L            EQU  H'0006'
FSR1H            EQU  H'0007'
PCLATH           EQU  H'0008'
INTCON           EQU  H'0009'

TRISA		EQU		H'0010'
TRISB		EQU		H'0011'
TRISC		EQU		H'0012'
TRISD		EQU		H'0013'
TRISE		EQU		H'0014'
TRISF		EQU		H'0015'
PORTA		EQU		H'001C'
PORTB		EQU		H'001D'
PORTC		EQU		H'001E'
PORTD		EQU		H'001F'
PORTE		EQU		H'0020'
PORTF		EQU		H'0021'
WPUA		EQU		H'0028'
WPUB		EQU		H'0029'
WPUC		EQU		H'002A'
WPUD		EQU		H'002B'
WPUE		EQU		H'002C'
WPUF		EQU		H'002D'
WPDA		EQU		H'0034'
WPDB		EQU		H'0035'
WPDC		EQU		H'0036'
WPDD		EQU		H'0037'
WPDE		EQU		H'0038'
WPDF		EQU		H'0039'
IOCA		EQU		H'0040'
IOCB		EQU		H'0041'
IOCC		EQU		H'0042'
IOCD		EQU		H'0043'
IOCE		EQU		H'0044'
IOCF		EQU		H'0045'
PORCTR		EQU		H'004C'
LAEN		EQU		H'004D'
LBEN		EQU		H'004E'
LCEN		EQU		H'004F'
LDEN		EQU		H'0050'
LEEN		EQU		H'0051'
LFEN		EQU		H'0052'
        	
PIR1		EQU		H'0054'
PIR2		EQU		H'0055'
PIR3		EQU		H'0056'
T1L		EQU		H'0058'
T1H		EQU		H'0059'
T1CON		EQU		H'005A'
T0		EQU		H'005B'
T2		EQU		H'005C'
PR2		EQU		H'005D'
T2CON		EQU		H'005E'
PR1L		EQU		H'005F'
PR1CON		EQU		H'0060'
        		
PIE1		EQU		H'0070'
PIE2		EQU		H'0071'
PIE3		EQU		H'0072'
        		
OPTION		EQU		H'0078'
PCON		EQU		H'0079'
OSCCON		EQU		H'007A'
CCPR2L		EQU		H'0080'
CCPR2H		EQU		H'0081'
CCP2CON		EQU		H'0082'
CCPR1L		EQU		H'0083'
CCPR1H		EQU		H'0084'
CCP1CON		EQU		H'0085'
        		
ANSELL		EQU		H'008C'
ANSELH		EQU		H'008D'
ADRESL		EQU		H'0092'
ADRESH		EQU		H'0093'
ADCON0		EQU		H'0094'
ADCON1		EQU		H'0095'
ADCLK		EQU		H'0096'
        		
PMDATL		EQU		H'009A'
PMDATH		EQU		H'009B'
PMADRL		EQU		H'009C'
PMADRH		EQU		H'009D'
PMCON		EQU		H'009E'
        		
;-----Bank1------------------   	
SPSTAT		EQU		H'0230'
SPCTL		EQU		H'0231'
SPDAT		EQU		H'0232'
          	
BRT		EQU		H'023A'
AUXR		EQU		H'023B'
SCON		EQU		H'023C'
SBUF		EQU		H'023D'
SADEN		EQU		H'023E'
SADDR		EQU		H'023F'
          	
PWM2DT		EQU		H'0250'
PWM2D		EQU		H'0251'
PWM2P		EQU		H'0252'
PWM2C		EQU		H'0253'
PWM1DT		EQU		H'0254'
PWM1D		EQU		H'0255'
PWM1P		EQU		H'0256'
PWM1C		EQU		H'0257'
PWM0DT		EQU		H'0258'
PWM0DL		EQU		H'0259'
PWM0DH		EQU		H'025A'
PWM0PL		EQU		H'025B'
PWM0PH		EQU		H'025C'
PWM0C		EQU		H'025D'
PWMEN		EQU		H'025E'
FLTM		EQU		H'025F'

LCDCON		EQU		H'02B0'
LCDPS		EQU		H'02B1'
DISPCTR		EQU		H'02B2'
LCDLVD		EQU		H'02B3'
SEGSE0		EQU		H'02B6'
SEGSE1		EQU		H'02B7'
SEGSE2		EQU		H'02B8'
SEGSE3		EQU		H'02B9'

SEGDATA0	EQU		H'02C0'
SEGDATA1	EQU		H'02C1'
SEGDATA2	EQU		H'02C2'
SEGDATA3	EQU		H'02C3'
SEGDATA4	EQU		H'02C4'
SEGDATA5	EQU		H'02C5'
SEGDATA6	EQU		H'02C6'
SEGDATA7	EQU		H'02C7'
SEGDATA8	EQU		H'02C8'
SEGDATA9	EQU		H'02C9'
SEGDATA10	EQU		H'02CA'
SEGDATA11	EQU		H'02CB'
SEGDATA12	EQU		H'02CC'
SEGDATA13	EQU		H'02CD'
SEGDATA14	EQU		H'02CE'
SEGDATA15	EQU		H'02CF'
SEGDATA16	EQU		H'02D0'
SEGDATA17	EQU		H'02D1'
SEGDATA18	EQU		H'02D2'
SEGDATA19	EQU		H'02D3'
SEGDATA20	EQU		H'02D4'
SEGDATA21	EQU		H'02D5'
SEGDATA22	EQU		H'02D6'
SEGDATA23	EQU		H'02D7'
SEGDATA24	EQU		H'02D8'
SEGDATA25	EQU		H'02D9'
SEGDATA26	EQU		H'02DA'
SEGDATA27	EQU		H'02DB'
SEGDATA28	EQU		H'02DC'
SEGDATA29	EQU		H'02DD'
SEGDATA30	EQU		H'02DE'
SEGDATA31	EQU		H'02DF'



;----- STATUS Bits --------------------------------------------------------
RP0							EQU  H'0005'
TO							EQU  H'0004'
PD							EQU  H'0003'
Z							EQU  H'0002'
DC							EQU  H'0001'
C							EQU  H'0000'

;----- INTCON Bits --------------------------------------------------------
GIE							EQU  H'0007'
PEIE							EQU  H'0006'
T0IE							EQU  H'0005' 
INTE							EQU  H'0004'
RBIE							EQU  H'0003'
T0IF							EQU  H'0002'
INTF							EQU  H'0001'
RBIF							EQU  H'0000'

;----- TRISA Bits ----------------------------------------------------------													
TRISA7							EQU  H'0007'
TRISA6							EQU  H'0006'
TRISA5							EQU  H'0005'
TRISA4							EQU  H'0004'
TRISA3							EQU  H'0003'
TRISA2							EQU  H'0002'
TRISA1							EQU  H'0001'
TRISA0							EQU  H'0000'
							
;----- TRISB Bits ----------------------------------------------------------														
TRISB7							EQU  H'0007'
TRISB6							EQU  H'0006'
TRISB5							EQU  H'0005'
TRISB4							EQU  H'0004'
TRISB3							EQU  H'0003'
TRISB2							EQU  H'0002'
TRISB1							EQU  H'0001'
TRISB0							EQU  H'0000'
							
;----- TRISC Bits ----------------------------------------------------------														
TRISC7							EQU  H'0007'
TRISC6							EQU  H'0006'
TRISC5							EQU  H'0005'
TRISC4							EQU  H'0004'
TRISC3							EQU  H'0003'
TRISC2							EQU  H'0002'
TRISC1							EQU  H'0001'
TRISC0							EQU  H'0000'
							
;----- TRISD Bits ----------------------------------------------------------														
TRISD7 							EQU  H'0007'
TRISD6 							EQU  H'0006'
TRISD5 							EQU  H'0005'
TRISD4 							EQU  H'0004'
TRISD3 							EQU  H'0003'
TRISD2 							EQU  H'0002'
TRISD1 							EQU  H'0001'
TRISD0 							EQU  H'0000'
							
;----- TRISE Bits ----------------------------------------------------------													
TRISE7							EQU  H'0007'
TRISE6							EQU  H'0006'
TRISE5							EQU  H'0005'
TRISE4							EQU  H'0004'
TRISE3							EQU  H'0003'
TRISE2							EQU  H'0002'
TRISE1							EQU  H'0001'
TRISE0							EQU  H'0000'
							
;----- TRISF Bits ----------------------------------------------------------														
TRISF7							EQU  H'0007'
TRISF6							EQU  H'0006'
TRISF5							EQU  H'0005'
TRISF4							EQU  H'0004'
TRISF3							EQU  H'0003'
TRISF2							EQU  H'0002'
TRISF1							EQU  H'0001'
TRISF0							EQU  H'0000'

;----- PORTA Bits ----------------------------------------------------------														
PORTA7							EQU  H'0007'
PORTA6							EQU  H'0006'
PORTA5							EQU  H'0005'
PORTA4							EQU  H'0004'
PORTA3							EQU  H'0003'
PORTA2							EQU  H'0002'
PORTA1							EQU  H'0001'
PORTA0							EQU  H'0000'
							
;----- PORTB Bits ----------------------------------------------------------														
PORTB7							EQU  H'0007'
PORTB6							EQU  H'0006'
PORTB5							EQU  H'0005'
PORTB4							EQU  H'0004'
PORTB3							EQU  H'0003'
PORTB2							EQU  H'0002'
PORTB1							EQU  H'0001'
PORTB0							EQU  H'0000'
							
;----- PORTC Bits ----------------------------------------------------------														
PORTC7							EQU  H'0007'
PORTC6							EQU  H'0006'
PORTC5							EQU  H'0005'
PORTC4							EQU  H'0004'
PORTC3							EQU  H'0003'
PORTC2							EQU  H'0002'
PORTC1							EQU  H'0001'
PORTC0							EQU  H'0000'
							
;----- PORTD Bits ----------------------------------------------------------														
PORTD7 							EQU  H'0007'
PORTD6 							EQU  H'0006'
PORTD5 							EQU  H'0005'
PORTD4 							EQU  H'0004'
PORTD3 							EQU  H'0003'
PORTD2 							EQU  H'0002'
PORTD1 							EQU  H'0001'
PORTD0 							EQU  H'0000'
							
;----- PORTE Bits ----------------------------------------------------------														
PORTE7							EQU  H'0007'
PORTE6							EQU  H'0006'
PORTE5							EQU  H'0005'
PORTE4							EQU  H'0004'
PORTE3							EQU  H'0003'
PORTE2							EQU  H'0002'
PORTE1							EQU  H'0001'
PORTE0							EQU  H'0000'
							
;----- PORTF Bits ----------------------------------------------------------														
PORTF7							EQU  H'0007'
PORTF6							EQU  H'0006'
PORTF5							EQU  H'0005'
PORTF4							EQU  H'0004'
PORTF3							EQU  H'0003'
PORTF2							EQU  H'0002'
PORTF1							EQU  H'0001'
PORTF0							EQU  H'0000'

;----- WPUA Bits ----------------------------------------------------------
WPUA7							EQU  H'0007'
WPUA6							EQU  H'0006'
WPUA5							EQU  H'0005'
WPUA4							EQU  H'0004'
WPUA3							EQU  H'0003'
WPUA2							EQU  H'0002'
WPUA1							EQU  H'0001'
WPUA0							EQU  H'0000' 

;----- WPUB Bits ----------------------------------------------------------
WPUB7							EQU  H'0007'
WPUB6							EQU  H'0006'
WPUB5							EQU  H'0005'
WPUB4							EQU  H'0004'
WPUB3							EQU  H'0003'
WPUB2							EQU  H'0002'
WPUB1							EQU  H'0001'
WPUB0							EQU  H'0000' 

;----- WPUC Bits ----------------------------------------------------------
WPUC7							EQU  H'0007'
WPUC6							EQU  H'0006'
WPUC5							EQU  H'0005'
WPUC4							EQU  H'0004'
WPUC3							EQU  H'0003'
WPUC2							EQU  H'0002'
WPUC1							EQU  H'0001'
WPUC0							EQU  H'0000' 

;----- WPUD Bits ----------------------------------------------------------
WPUD7							EQU  H'0007'
WPUD6							EQU  H'0006'
WPUD5							EQU  H'0005'
WPUD4							EQU  H'0004'
WPUD3							EQU  H'0003'
WPUD2							EQU  H'0002'
WPUD1							EQU  H'0001'
WPUD0							EQU  H'0000' 

;----- WPUE Bits ----------------------------------------------------------
WPUE7							EQU  H'0007'
WPUE6							EQU  H'0006'
WPUE5							EQU  H'0005'
WPUE4							EQU  H'0004'
WPUE3							EQU  H'0003'
WPUE2							EQU  H'0002'
WPUE1							EQU  H'0001'
WPUE0							EQU  H'0000' 

;----- WPUF Bits ----------------------------------------------------------
WPUF7							EQU  H'0007'
WPUF6							EQU  H'0006'
WPUF5							EQU  H'0005'
WPUF4							EQU  H'0004'
WPUF3							EQU  H'0003'
WPUF2							EQU  H'0002'
WPUF1							EQU  H'0001'
WPUF0							EQU  H'0000' 

;----- WPDA Bits ----------------------------------------------------------
WPDA7							EQU  H'0007'
WPDA6							EQU  H'0006'
WPDA5							EQU  H'0005'
WPDA4							EQU  H'0004'
WPDA3							EQU  H'0003'
WPDA2							EQU  H'0002'
WPDA1							EQU  H'0001'
WPDA0							EQU  H'0000' 

;----- WPDB Bits ----------------------------------------------------------
WPDB7							EQU  H'0007'
WPDB6							EQU  H'0006'
WPDB4							EQU  H'0004'
WPDB3							EQU  H'0003'
WPDB2							EQU  H'0002'
WPDB1							EQU  H'0001'
WPDB0							EQU  H'0000' 
      			
;----- WPDC Bits ----------------------------------------------------------
WPDC7							EQU  H'0007'
WPDC6							EQU  H'0006'
WPDC5							EQU  H'0005'
WPDC4							EQU  H'0004'
WPDC3							EQU  H'0003'
WPDC2							EQU  H'0002'
WPDC1							EQU  H'0001'
WPDC0							EQU  H'0000' 

;----- WPDD Bits ----------------------------------------------------------
WPDD7							EQU  H'0007'
WPDD6							EQU  H'0006'
WPDD5							EQU  H'0005'
WPDD4							EQU  H'0004'
WPDD3							EQU  H'0003'
WPDD2							EQU  H'0002'
WPDD1							EQU  H'0001'
WPDD0							EQU  H'0000' 

;----- WPDE Bits ----------------------------------------------------------
WPDE7							EQU  H'0007'
WPDE6							EQU  H'0006'
WPDE5							EQU  H'0005'
WPDE4							EQU  H'0004'
WPDE3							EQU  H'0003'
WPDE2							EQU  H'0002'
WPDE1							EQU  H'0001'
WPDE0							EQU  H'0000' 

;----- WPDF Bits ----------------------------------------------------------
WPDF7							EQU  H'0007'
WPDF6							EQU  H'0006'
WPDF5							EQU  H'0005'
WPDF4							EQU  H'0004'
WPDF3							EQU  H'0003'
WPDF2							EQU  H'0002'
WPDF1							EQU  H'0001'
WPDF0							EQU  H'0000' 

;----- IOCA Bits ----------------------------------------------------------
IOCA7							EQU  H'0007'
IOCA6							EQU  H'0006'
IOCA5							EQU  H'0005'
IOCA4							EQU  H'0004'
IOCA3							EQU  H'0003'
IOCA2							EQU  H'0002'
IOCA1							EQU  H'0001'
IOCA0							EQU  H'0000'

;----- IOCB Bits ----------------------------------------------------------
IOCB7							EQU  H'0007'
IOCB6							EQU  H'0006'
IOCB5							EQU  H'0005'
IOCB4							EQU  H'0004'
IOCB3							EQU  H'0003'
IOCB2							EQU  H'0002'
IOCB1							EQU  H'0001'
IOCB0							EQU  H'0000'

;----- IOCC Bits ----------------------------------------------------------
IOCC7							EQU  H'0007'
IOCC6							EQU  H'0006'
IOCC5							EQU  H'0005'
IOCC4							EQU  H'0004'
IOCC3							EQU  H'0003'
IOCC2							EQU  H'0002'
IOCC1							EQU  H'0001'
IOCC0							EQU  H'0000'

;----- IOCD Bits ----------------------------------------------------------
IOCD7 							EQU  H'0007'
IOCD6 							EQU  H'0006'
IOCD5 							EQU  H'0005'
IOCD4 							EQU  H'0004'
IOCD3 							EQU  H'0003'
IOCD2 							EQU  H'0002'
IOCD1 							EQU  H'0001'
IOCD0 							EQU  H'0000'

;----- IOCE Bits ----------------------------------------------------------														
IOCE7							EQU  H'0007'
IOCE6							EQU  H'0006'
IOCE5							EQU  H'0005'
IOCE4							EQU  H'0004'
IOCE3							EQU  H'0003'
IOCE2							EQU  H'0002'
IOCE1							EQU  H'0001'
IOCE0							EQU  H'0000'

;----- IOCF Bits ----------------------------------------------------------														
IOCF7							EQU  H'0007'
IOCF6							EQU  H'0006'
IOCF5							EQU  H'0005'
IOCF4							EQU  H'0004'
IOCF3							EQU  H'0003'
IOCF2							EQU  H'0002'
IOCF1							EQU  H'0001'
IOCF0							EQU  H'0000'

;----- PORCTR Bits ----------------------------------------------------------	
CCPCT							EQU  H'0004'						
SPPCT1							EQU  H'0003'
SPPCT0							EQU  H'0002'
UAPCT1							EQU  H'0001'
UAPCT0							EQU  H'0000'

;----- LAEN Bits ----------------------------------------------------------
LAEN7							EQU  H'0007'
LAEN6							EQU  H'0006'
LAEN5							EQU  H'0005'
LAEN4							EQU  H'0004'
LAEN3							EQU  H'0003'
LAEN2							EQU  H'0002'
LAEN1							EQU  H'0001'
LAEN0							EQU  H'0000' 

;----- LBEN Bits ----------------------------------------------------------
LBEN7							EQU  H'0007'
LBEN6							EQU  H'0006'
LBEN5							EQU  H'0005'
LBEN4							EQU  H'0004'
LBEN3							EQU  H'0003'
LBEN2							EQU  H'0002'
LBEN1							EQU  H'0001'
LBEN0							EQU  H'0000' 

;----- LCEN Bits ---------------------------------------------------------
LCEN7							EQU  H'0007'
LCEN6							EQU  H'0006'
LCEN5							EQU  H'0005'
LCEN4							EQU  H'0004'
LCEN3							EQU  H'0003'
LCEN2							EQU  H'0002'
LCEN1							EQU  H'0001'
LCEN0							EQU  H'0000' 

;----- LDEN Bits ----------------------------------------------------------
LDEN7							EQU  H'0007'
LDEN6							EQU  H'0006'
LDEN5							EQU  H'0005'
LDEN4							EQU  H'0004'
LDEN3							EQU  H'0003'
LDEN2							EQU  H'0002'
LDEN1							EQU  H'0001'
LDEN0							EQU  H'0000' 
      					
;----- LEEN Bits ----------------------------------------------------------
LEEN7							EQU  H'0007'
LEEN6							EQU  H'0006'
LEEN5							EQU  H'0005'
LEEN4							EQU  H'0004'
LEEN3							EQU  H'0003'
LEEN2							EQU  H'0002'
LEEN1							EQU  H'0001'
LEEN0							EQU  H'0000' 

;----- LFEN Bits ----------------------------------------------------------
LFEN7							EQU  H'0007'
LFEN6							EQU  H'0006'
LFEN5							EQU  H'0005'
LFEN4							EQU  H'0004'
LFEN3							EQU  H'0003'
LFEN2							EQU  H'0002'
LFEN1							EQU  H'0001'
LFEN0							EQU  H'0000' 

;----- PIR1 Bits --------------------------------------------------------
ADIF							EQU  H'0006'
CCP1IF						        EQU  H'0002'
T2IF							EQU  H'0001'
T1IF							EQU  H'0000'
						
;----- PIR2 Bits --------------------------------------------------------
PWM2IF						        EQU  H'0007'
PWM1IF						        EQU  H'0006'
PWM0IF						        EQU  H'0005' 
RXIF							EQU  H'0003'
TXIF							EQU  H'0002'
SPIF							EQU  H'0001'
CCP2IF						        EQU  H'0000'
        						
;----- PIR3 Bits --------------------------------------------------------
RFIF							EQU  H'0004'
REIF							EQU  H'0003'
RDIF							EQU  H'0002'
RCIF							EQU  H'0001'
RAIF							EQU  H'0000'

;----- T1CON Bits --------------------------------------------------------
T1CS1							EQU  H'0007'
T1CS0							EQU  H'0006'
T1CKPS1						        EQU  H'0005' 
T1CKPS0						        EQU  H'0004'
T1OSCEN						        EQU  H'0003'
T1SYNC						        EQU  H'0002'
T1ON							EQU  H'0000'

;----- T2CON Bits ----------------------------------------------------------
T2CKPS3						        EQU  H'0006'
T2CKPS2						        EQU  H'0005' 
T2CKPS1						        EQU  H'0004'
T2CKPS0						        EQU  H'0003'
T2ON							EQU  H'0002'

;----- PR1CON Bits ----------------------------------------------------------
PWM1T1						        EQU  H'0007'
PWM1T0					                EQU  H'0006'
PWM2T1						        EQU  H'0005' 
PWM2T0						        EQU  H'0004'
T1CKPS3						        EQU  H'0003'
T1CKPS2							EQU  H'0002'
PWMPR1							EQU  H'0001'
PR1EN							EQU  H'0000'

;----- PIE1 Bits ----------------------------------------------------------
ADIE							EQU  H'0006'
CCP1IE						        EQU  H'0002'
T2IE							EQU  H'0001'
T1IE							EQU  H'0000'

;----- PIE2 Bits ----------------------------------------------------------
PWM2IE						        EQU  H'0007'
PWM1IE						        EQU  H'0006'
PWM0IE						        EQU  H'0005'
UARTIE						        EQU  H'0002'
SPIE							EQU  H'0001'
CCP2IE						        EQU  H'0000'

;----- PIE3 Bits ----------------------------------------------------------
RFIE						        EQU  H'0004'
REIE						        EQU  H'0003'
RDIE						        EQU  H'0002'
RCIE						        EQU  H'0001'
RAIE						        EQU  H'0000'

;----- OPTION Bits --------------------------------------------------------  				
RBPUB							EQU  H'0007'
INTEDG						        EQU  H'0006'
T0CS							EQU  H'0005' 
T0SE							EQU  H'0004'
PSA							EQU  H'0003'																																		
PS2							EQU  H'0002'																																		
PS1							EQU  H'0001'																																		
PS0							EQU  H'0000'	

;----- PCON Bits ----------------------------------------------------------
LVD2EN						        EQU  H'0007'
LVD1EN						        EQU  H'0006'	
WDTENS						        EQU  H'0004'		
LVD2F							EQU  H'0003'
LVD1F							EQU  H'0002'
POR							EQU  H'0001'
BOR							EQU  H'0000'

;----- OSCCON Bits ----------------------------------------------------------
T0OSCEN						        EQU  H'0007'
HXEN							EQU  H'0001'
SCS 							EQU  H'0000'

;----- CCP1CON Bits ----------------------------------------------------------
DC1B1							EQU  H'0005'
DC1B0							EQU  H'0004'
CCP1M3						        EQU  H'0003'																																
CCP1M2						        EQU  H'0002'																																
CCP1M1						        EQU  H'0001'																																
CCP1M0						        EQU  H'0000'																																

;----- CCP2CON Bits ----------------------------------------------------------
DC2B1							EQU  H'0005'
DC2B0							EQU  H'0004'
CCP2M3						        EQU  H'0003'	
CCP2M2						        EQU  H'0002'	
CCP2M1						        EQU  H'0001'	
CCP2M0						        EQU  H'0000'	

;----- ANSELL Bits ----------------------------------------------------------
ANSEL7						EQU  H'0007'
ANSEL6						EQU  H'0006'
ANSEL4						EQU  H'0004'
ANSEL3						EQU  H'0003'
ANSEL2						EQU  H'0002'
ANSEL1						EQU  H'0001'
ANSEL0						EQU  H'0000'

;----- ANSELH Bits ----------------------------------------------------------
ANSEL15						EQU  H'0007'
ANSEL14						EQU  H'0006'
ANSEL13						EQU  H'0005'
ANSEL12						EQU  H'0004'
ANSEL11						EQU  H'0003'
ANSEL10						EQU  H'0002'
ANSEL9						EQU  H'0001'
ANSEL8						EQU  H'0000'
        					
;----- ADCON0 Bits ----------------------------------------------------------
VHS1							EQU  H'0007'
VHS0							EQU  H'0006'
CHS3							EQU  H'0005'
CHS2							EQU  H'0004'
CHS1							EQU  H'0003'
CHS0							EQU  H'0002'
ADON							EQU  H'0001'
ADEN							EQU  H'0000'

;----- ADCON1 Bits ----------------------------------------------------------
ADFM							EQU  H'0007'
ADCS2							EQU  H'0006'
ADCS1							EQU  H'0005'
ADCS0							EQU  H'0004'
ADREF							EQU  H'0000'

;----- ADCLK Bits ----------------------------------------------------------
ADCLK2							EQU  H'0002'
ADCLK1							EQU  H'0001'
ADCLK0							EQU  H'0000'

;-----PMCON Bits ----------------------------------------------------------   					
RDON							EQU  H'0000'

;-----------SPSTAT Bits--------------------------------------------------
RXOV							EQU  H'0002'
MODF						        EQU  H'0001'
WCOL							EQU  H'0000'

;-----------SPCTL Bits--------------------------------------------------
SSIG							EQU  H'0007'
SPEN						        EQU  H'0006'
DORD							EQU  H'0005'
MSTR                                                    EQU  H'0004'        
CPOL                                                    EQU  H'0003'        
CPHA                                                    EQU  H'0002'                
SPR1                                                    EQU  H'0001'
SPR0                                                    EQU  H'0000'

;-----------AUXR Bits--------------------------------------------------
UARTEN						        EQU  H'0006'
UARTM0						        EQU  H'0005'
BRTR							EQU  H'0004'
BRTX12						        EQU  H'0003'
S1BRS							EQU  H'0002'
SMOD							EQU  H'0001'
SMOD0							EQU  H'0000'
         
;-----------SCON Bits-----------------------------------------------------
SM0							EQU  H'0007'
SM1							EQU  H'0006'
SM2							EQU  H'0005'
REN							EQU  H'0004'
TR8							EQU  H'0003'
RB8							EQU  H'0002'
RXWK						        EQU  H'0001'

;----- PWM2DT Bits ----------------------------------------------------------
DT27							EQU  H'0007'
DT26							EQU  H'0006'
DT25							EQU  H'0005'
DT24							EQU  H'0004'
DT23							EQU  H'0003' 
DT22							EQU  H'0002'
DT21							EQU  H'0001'
DT20							EQU  H'0000' 

;----- PWM2D Bits ----------------------------------------------------------
PD27							EQU  H'0007'
PD26							EQU  H'0006'
PD25							EQU  H'0005'
PD24							EQU  H'0004'
PD23							EQU  H'0003' 
PD22							EQU  H'0002'
PD21							EQU  H'0001'
PD20							EQU  H'0000' 

;----- PWM2P Bits ----------------------------------------------------------
PP27							EQU  H'0007'
PP26							EQU  H'0006'
PP25							EQU  H'0005'
PP24							EQU  H'0004'
PP23							EQU  H'0003' 
PP22							EQU  H'0002'
PP21							EQU  H'0001'
PP20							EQU  H'0000' 

;--------PWM2C Bits--------------------------------------------------------
PWM2S1						        EQU  H'0003'
PWM2S0						        EQU  H'0002'
CK21							EQU  H'0001'
CK20							EQU  H'0000'

;----- PWM1DT Bits ----------------------------------------------------------
DT17							EQU  H'0007'
DT16							EQU  H'0006'
DT15							EQU  H'0005'
DT14							EQU  H'0004'
DT13							EQU  H'0003' 
DT12							EQU  H'0002'
DT11							EQU  H'0001'
DT10							EQU  H'0000' 

;----- PWM1D Bits ----------------------------------------------------------
PD17							EQU  H'0007'
PD16							EQU  H'0006'
PD15							EQU  H'0005'
PD14							EQU  H'0004'
PD13							EQU  H'0003' 
PD12							EQU  H'0002'
PD11							EQU  H'0001'
PD10							EQU  H'0000' 

;----- PWM1P Bits ----------------------------------------------------------
PP17							EQU  H'0007'
PP16							EQU  H'0006'
PP15							EQU  H'0005'
PP14							EQU  H'0004'
PP13							EQU  H'0003' 
PP12							EQU  H'0002'
PP11							EQU  H'0001'
PP10							EQU  H'0000' 

;--------PWM1C Bits--------------------------------------------------------
PWM1S1						        EQU  H'0003'
PWM1S0						        EQU  H'0002'
CK11							EQU  H'0001'
CK10							EQU  H'0000'

;----- PWM0DT Bits ----------------------------------------------------------
DT07							EQU  H'0007'
DT06							EQU  H'0006'
DT05							EQU  H'0005'
DT04							EQU  H'0004'
DT03							EQU  H'0003' 
DT02							EQU  H'0002'
DT01							EQU  H'0001'
DT00							EQU  H'0000' 

;----- PWM0DL Bits ----------------------------------------------------------
PT07							EQU  H'0007'
PT06							EQU  H'0006'
PT05							EQU  H'0005'
PT04							EQU  H'0004'
PT03							EQU  H'0003' 
PT02							EQU  H'0002'
PT01							EQU  H'0001'
PT00							EQU  H'0000' 

;----- PWM0DH Bits ----------------------------------------------------------
PT11							EQU  H'0003' 
PT10							EQU  H'0002'
PT09							EQU  H'0001'
PT08							EQU  H'0000' 

;----- PWM0PL Bits ----------------------------------------------------------
PP07							EQU  H'0007'
PP06							EQU  H'0006'
PP05							EQU  H'0005'
PP04							EQU  H'0004'
PP03							EQU  H'0003' 
PP02							EQU  H'0002'
PP01							EQU  H'0001'
PP00							EQU  H'0000' 

;----- PWM0PH Bits ----------------------------------------------------------
PP011							EQU  H'0003' 
PP010							EQU  H'0002'
PP009							EQU  H'0001'
PP008							EQU  H'0000' 

;--------PWM0C Bits--------------------------------------------------------
PWM0S1						        EQU  H'0003'
PWM0S0						        EQU  H'0002'
CK01							EQU  H'0001'
CK00							EQU  H'0000'

;--------PWMEN Bits--------------------------------------------------------
EFLT							EQU  H'0006'
EPWM21						        EQU  H'0005'
EPWM11						        EQU  H'0004'
EPWM01						        EQU  H'0003'
EPWM2							EQU  H'0002'
EPWM1							EQU  H'0001'
EPWM0							EQU  H'0000'

;--------FLTM Bits--------------------------------------------------------------
FLT0M1						        EQU  H'0001'
FLT0M0							EQU  H'0000'

;----- LCDCON Bits ----------------------------------------------------------
BIASCT1						        EQU  H'0007'
BIASCT0						        EQU  H'0006'
DUTCT							EQU  H'0005'
LCDVD							EQU  H'0004'
CS1							EQU  H'0003'
CS0							EQU  H'0002'
RLCD1							EQU  H'0001'
RLCD0							EQU  H'0000'

;----- LCDPS Bits ----------------------------------------------------------
LP3							EQU  H'0003'
LP2							EQU  H'0002'
LP1							EQU  H'0001'
LP0							EQU  H'0000'

;--------DISPCTR Bits------------------------------------------------------------------
SLPENB                                                  EQU  H'0002'
DISPON						        EQU  H'0001'
DISPCT						        EQU  H'0000'

;--------LCDLVD Bits------------------------------------------------------------------
LCDVD3                                                  EQU  H'0003'
LCDVD2                                                  EQU  H'0002'
LCDVD1						        EQU  H'0001'
LCDVD0						        EQU  H'0000'

;--------SEGSE0 Bits------------------------------------------------------------------
SE7                                                     EQU  H'0007'
SE6                                                     EQU  H'0006'
SE5						        EQU  H'0005'
SE4						        EQU  H'0004'
SE3                                                     EQU  H'0003'
SE2                                                     EQU  H'0002'
SE1						        EQU  H'0001'
SE0						        EQU  H'0000'

;--------SEGSE1 Bits------------------------------------------------------------------
SE15                                                     EQU  H'0007'
SE14                                                     EQU  H'0006'
SE13						        EQU  H'0005'
SE12						        EQU  H'0004'
SE11                                                   EQU  H'0003'
SE10                                                     EQU  H'0002'
SE9						        EQU  H'0001'
SE8						        EQU  H'0000'

;--------SEGSE2 Bits------------------------------------------------------------------
SE23                                                    EQU  H'0007'
SE22                                                     EQU  H'0006'
SE21						        EQU  H'0005'
SE20						        EQU  H'0004'
SE19                                                    EQU  H'0003'
SE18                                                     EQU  H'0002'
SE17						        EQU  H'0001'
SE16						        EQU  H'0000'

;--------SEGSE3 Bits------------------------------------------------------------------
SE31                                                    EQU  H'0007'
SE30                                                     EQU  H'0006'
SE29						        EQU  H'0005'
SE28						        EQU  H'0004'
SE27                                                    EQU  H'0003'
SE26                                                     EQU  H'0002'
SE25						        EQU  H'0001'
SE24						        EQU  H'0000'

;--------SEGDATA0 Bits------------------------------------------------------------------
SEG0C7                                                    EQU  H'0007'
SEG0C6                                                     EQU  H'0006'
SEG0C5						        EQU  H'0005'
SEG0C4						        EQU  H'0004'
SEG0C3                                                    EQU  H'0003'
SEG0C2                                                     EQU  H'0002'
SEG0C1						        EQU  H'0001'
SEG0C0						        EQU  H'0000'

;--------SEGDATA1 Bits------------------------------------------------------------------
SEG1C7                                                    EQU  H'0007'
SEG1C6                                                     EQU  H'0006'
SEG1C5						        EQU  H'0005'
SEG1C4						        EQU  H'0004'
SEG1C3                                                    EQU  H'0003'
SEG1C2                                                     EQU  H'0002'
SEG1C1						        EQU  H'0001'
SEG1C0						        EQU  H'0000'

;--------SEGDATA2 Bits------------------------------------------------------------------
SEG2C7                                                    EQU  H'0007'
SEG2C6                                                     EQU  H'0006'
SEG2C5						        EQU  H'0005'
SEG2C4						        EQU  H'0004'
SEG2C3                                                    EQU  H'0003'
SEG2C2                                                     EQU  H'0002'
SEG2C1						        EQU  H'0001'
SEG2C0						        EQU  H'0000'
;--------SEGDATA3 Bits------------------------------------------------------------------
SEG3C7                                                    EQU  H'0007'
SEG3C6                                                     EQU  H'0006'
SEG3C5						        EQU  H'0005'
SEG3C4						        EQU  H'0004'
SEG3C3                                                    EQU  H'0003'
SEG3C2                                                     EQU  H'0002'
SEG3C1						        EQU  H'0001'
SEG3C0						        EQU  H'0000'
;--------SEGDATA4 Bits------------------------------------------------------------------
SEG4C7                                                    EQU  H'0007'
SEG4C6                                                     EQU  H'0006'
SEG4C5						        EQU  H'0005'
SEG4C4						        EQU  H'0004'
SEG4C3                                                    EQU  H'0003'
SEG4C2                                                     EQU  H'0002'
SEG4C1						        EQU  H'0001'
SEG4C0						        EQU  H'0000'
;--------SEGDATA5 Bits------------------------------------------------------------------
SEG5C7                                                    EQU  H'0007'
SEG5C6                                                     EQU  H'0006'
SEG5C5						        EQU  H'0005'
SEG5C4						        EQU  H'0004'
SEG5C3                                                    EQU  H'0003'
SEG5C2                                                     EQU  H'0002'
SEG5C1						        EQU  H'0001'
SEG5C0						        EQU  H'0000'
;--------SEGDATA6 Bits------------------------------------------------------------------
SEG6C7                                                    EQU  H'0007'
SEG6C6                                                     EQU  H'0006'
SEG6C5						        EQU  H'0005'
SEG6C4						        EQU  H'0004'
SEG6C3                                                    EQU  H'0003'
SEG6C2                                                     EQU  H'0002'
SEG6C1						        EQU  H'0001'
SEG6C0						        EQU  H'0000'
;--------SEGDATA7 Bits------------------------------------------------------------------
SEG7C7                                                    EQU  H'0007'
SEG7C6                                                     EQU  H'0006'
SEG7C5						        EQU  H'0005'
SEG7C4						        EQU  H'0004'
SEG7C3                                                    EQU  H'0003'
SEG7C2                                                     EQU  H'0002'
SEG7C1						        EQU  H'0001'
SEG7C0						        EQU  H'0000'
;--------SEGDATA8 Bits------------------------------------------------------------------
SEG8C7                                                    EQU  H'0007'
SEG8C6                                                     EQU  H'0006'
SEG8C5						        EQU  H'0005'
SEG8C4						        EQU  H'0004'
SEG8C3                                                    EQU  H'0003'
SEG8C2                                                     EQU  H'0002'
SEG8C1						        EQU  H'0001'
SEG8C0						        EQU  H'0000'
;--------SEGDATA9 Bits------------------------------------------------------------------
SEG9C7                                                    EQU  H'0007'
SEG9C6                                                     EQU  H'0006'
SEG9C5						        EQU  H'0005'
SEG9C4						        EQU  H'0004'
SEG9C3                                                    EQU  H'0003'
SEG9C2                                                     EQU  H'0002'
SEG9C1						        EQU  H'0001'
SEG9C0						        EQU  H'0000'
;--------SEGDATA10 Bits-----------------------------------------------------------------
SEG10C7                                                    EQU  H'0007'
SEG10C6                                                     EQU  H'0006'
SEG10C5						        EQU  H'0005'
SEG10C4						        EQU  H'0004'
SEG10C3                                                    EQU  H'0003'
SEG10C2                                                     EQU  H'0002'
SEG10C1						        EQU  H'0001'
SEG10C0						        EQU  H'0000'
;--------SEGDATA11 Bits------------------------------------------------------------------
SEG11C7                                                    EQU  H'0007'
SEG11C6                                                     EQU  H'0006'
SEG11C5						        EQU  H'0005'
SEG11C4						        EQU  H'0004'
SEG11C3                                                    EQU  H'0003'
SEG11C2                                                     EQU  H'0002'
SEG11C1						        EQU  H'0001'
SEG11C0						        EQU  H'0000'
;--------SEGDATA12 Bits------------------------------------------------------------------
SEG12C7                                                    EQU  H'0007'
SEG12C6                                                     EQU  H'0006'
SEG12C5						        EQU  H'0005'
SEG12C4						        EQU  H'0004'
SEG12C3                                                    EQU  H'0003'
SEG12C2                                                     EQU  H'0002'
SEG12C1						        EQU  H'0001'
SEG12C0						        EQU  H'0000'
;--------SEGDATA13 Bits------------------------------------------------------------------
SEG13C7                                                    EQU  H'0007'
SEG13C6                                                     EQU  H'0006'
SEG13C5						        EQU  H'0005'
SEG13C4						        EQU  H'0004'
SEG13C3                                                    EQU  H'0003'
SEG13C2                                                     EQU  H'0002'
SEG13C1						        EQU  H'0001'
SEG13C0						        EQU  H'0000'
;--------SEGDATA14 Bits------------------------------------------------------------------
SEG14C7                                                    EQU  H'0007'
SEG14C6                                                     EQU  H'0006'
SEG14C5						        EQU  H'0005'
SEG14C4						        EQU  H'0004'
SEG14C3                                                    EQU  H'0003'
SEG14C2                                                     EQU  H'0002'
SEG14C1						        EQU  H'0001'
SEG14C0						        EQU  H'0000'
;--------SEGDATA15 Bits------------------------------------------------------------------
SEG15C7                                                    EQU  H'0007'
SEG15C6                                                     EQU  H'0006'
SEG15C5						        EQU  H'0005'
SEG15C4						        EQU  H'0004'
SEG15C3                                                    EQU  H'0003'
SEG15C2                                                     EQU  H'0002'
SEG15C1						        EQU  H'0001'
SEG15C0						        EQU  H'0000'
;--------SEGDATA16 Bits------------------------------------------------------------------
SEG16C7                                                    EQU  H'0007'
SEG16C6                                                     EQU  H'0006'
SEG16C5						        EQU  H'0005'
SEG16C4						        EQU  H'0004'
SEG16C3                                                    EQU  H'0003'
SEG16C2                                                     EQU  H'0002'
SEG16C1						        EQU  H'0001'
SEG16C0						        EQU  H'0000'
;--------SEGDATA17 Bits------------------------------------------------------------------
SEG17C7                                                    EQU  H'0007'
SEG17C6                                                     EQU  H'0006'
SEG17C5						        EQU  H'0005'
SEG17C4						        EQU  H'0004'
SEG17C3                                                    EQU  H'0003'
SEG17C2                                                     EQU  H'0002'
SEG17C1						        EQU  H'0001'
SEG17C0						        EQU  H'0000'
;--------SEGDATA18 Bits------------------------------------------------------------------
SEG18C7                                                    EQU  H'0007'
SEG18C6                                                     EQU  H'0006'
SEG18C5						        EQU  H'0005'
SEG18C4						        EQU  H'0004'
SEG18C3                                                    EQU  H'0003'
SEG18C2                                                     EQU  H'0002'
SEG18C1						        EQU  H'0001'
SEG18C0						        EQU  H'0000'
;--------SEGDATA19 Bits------------------------------------------------------------------
SEG19C7                                                    EQU  H'0007'
SEG19C6                                                     EQU  H'0006'
SEG19C5						        EQU  H'0005'
SEG19C4						        EQU  H'0004'
SEG19C3                                                    EQU  H'0003'
SEG19C2                                                     EQU  H'0002'
SEG19C1						        EQU  H'0001'
SEG19C0						        EQU  H'0000'
;--------SEGDATA20 Bits------------------------------------------------------------------
SEG20C7                                                    EQU  H'0007'
SEG20C6                                                     EQU  H'0006'
SEG20C5						        EQU  H'0005'
SEG20C4						        EQU  H'0004'
SEG20C3                                                    EQU  H'0003'
SEG20C2                                                     EQU  H'0002'
SEG20C1						        EQU  H'0001'
SEG20C0						        EQU  H'0000'
;--------SEGDATA21 Bits------------------------------------------------------------------
SEG21C7                                                    EQU  H'0007'
SEG21C6                                                     EQU  H'0006'
SEG21C5						        EQU  H'0005'
SEG21C4						        EQU  H'0004'
SEG21C3                                                    EQU  H'0003'
SEG21C2                                                     EQU  H'0002'
SEG21C1						        EQU  H'0001'
SEG21C0						        EQU  H'0000'
;--------SEGDATA22 Bits------------------------------------------------------------------
SEG22C7                                                    EQU  H'0007'
SEG22C6                                                     EQU  H'0006'
SEG22C5						        EQU  H'0005'
SEG22C4						        EQU  H'0004'
SEG22C3                                                    EQU  H'0003'
SEG22C2                                                     EQU  H'0002'
SEG22C1						        EQU  H'0001'
SEG22C0						        EQU  H'0000'
;--------SEGDATA23 Bits------------------------------------------------------------------
SEG23C7                                                    EQU  H'0007'
SEG23C6                                                     EQU  H'0006'
SEG23C5						        EQU  H'0005'
SEG23C4						        EQU  H'0004'
SEG23C3                                                    EQU  H'0003'
SEG23C2                                                     EQU  H'0002'
SEG23C1						        EQU  H'0001'
SEG23C0						        EQU  H'0000'
;--------SEGDATA24 Bits------------------------------------------------------------------
SEG24C7                                                    EQU  H'0007'
SEG24C6                                                     EQU  H'0006'
SEG24C5						        EQU  H'0005'
SEG24C4						        EQU  H'0004'
SEG24C3                                                    EQU  H'0003'
SEG24C2                                                     EQU  H'0002'
SEG24C1						        EQU  H'0001'
SEG24C0						        EQU  H'0000'
;--------SEGDATA25 Bits------------------------------------------------------------------
SEG25C7                                                    EQU  H'0007'
SEG25C6                                                     EQU  H'0006'
SEG25C5						        EQU  H'0005'
SEG25C4						        EQU  H'0004'
SEG25C3                                                    EQU  H'0003'
SEG25C2                                                     EQU  H'0002'
SEG25C1						        EQU  H'0001'
SEG25C0						        EQU  H'0000'
;--------SEGDATA26 Bits------------------------------------------------------------------
SEG26C7                                                    EQU  H'0007'
SEG26C6                                                     EQU  H'0006'
SEG26C5						        EQU  H'0005'
SEG26C4						        EQU  H'0004'
SEG26C3                                                    EQU  H'0003'
SEG26C2                                                     EQU  H'0002'
SEG26C1						        EQU  H'0001'
SEG26C0						        EQU  H'0000'
;--------SEGDATA27 Bits------------------------------------------------------------------
SEG27C7                                                    EQU  H'0007'
SEG27C6                                                     EQU  H'0006'
SEG27C5						        EQU  H'0005'
SEG27C4						        EQU  H'0004'
SEG27C3                                                    EQU  H'0003'
SEG27C2                                                     EQU  H'0002'
SEG27C1						        EQU  H'0001'
SEG27C0						        EQU  H'0000'
;--------SEGDATA28 Bits------------------------------------------------------------------
SEG28C7                                                    EQU  H'0007'
SEG28C6                                                     EQU  H'0006'
SEG28C5						        EQU  H'0005'
SEG28C4						        EQU  H'0004'
SEG28C3                                                    EQU  H'0003'
SEG28C2                                                     EQU  H'0002'
SEG28C1						        EQU  H'0001'
SEG28C0						        EQU  H'0000'
;--------SEGDATA21 Bits------------------------------------------------------------------
SEG29C7                                                    EQU  H'0007'
SEG29C6                                                     EQU  H'0006'
SEG29C5						        EQU  H'0005'
SEG29C4						        EQU  H'0004'
SEG29C3                                                    EQU  H'0003'
SEG29C2                                                     EQU  H'0002'
SEG29C1						        EQU  H'0001'
SEG29C0						        EQU  H'0000'
;--------SEGDATA30 Bits------------------------------------------------------------------
SEG30C7                                                    EQU  H'0007'
SEG30C6                                                     EQU  H'0006'
SEG30C5						        EQU  H'0005'
SEG30C4						        EQU  H'0004'
SEG30C3                                                    EQU  H'0003'
SEG30C2                                                     EQU  H'0002'
SEG30C1						        EQU  H'0001'
SEG30C0						        EQU  H'0000'
;--------SEGDATA31 Bits-----------------------------------------------------------------
SEG31C7                                                    EQU  H'0007'
SEG31C6                                                     EQU  H'0006'
SEG31C5						        EQU  H'0005'
SEG31C4						        EQU  H'0004'
SEG31C3                                                    EQU  H'0003'
SEG31C2                                                     EQU  H'0002'
SEG31C1						        EQU  H'0001'
SEG21C0						        EQU  H'0000'
;==========================================================================
;
;       RAM Definitions
;
;==========================================================================
       __MAXRAM  H'03FF'
    
       __BADRAM  H'000a'-H'000f'
       __BADRAM  H'0016'-H'001b'
       __BADRAM  H'0022'-H'0027'
       __BADRAM  H'002e'-H'0033'
       __BADRAM  H'003a'-H'003f'
       __BADRAM  H'0046'-H'004b'
       __BADRAM  H'0053'
       __BADRAM  H'0057'
       __BADRAM  H'0061'-H'006f'
       __BADRAM  H'0073'-H'0077'
       __BADRAM  H'007b'-H'007f'
       __BADRAM  H'0086'-H'008b'
       __BADRAM  H'008e'-H'0091'
       __BADRAM  H'0097'-H'0099'      
       __BADRAM  H'009f'-H'00ff'
       
       __BADRAM  H'020a'-H'022f'        
       __BADRAM  H'0233'-H'0239'
       __BADRAM  H'0240'-H'024f'
       __BADRAM  H'0260'-H'02af'
       __BADRAM  H'02b4'-H'02b5'
       __BADRAM  H'02ba'-H'02bf'
       __BADRAM  H'02e0'-H'02ff'    
       
       

     
;==========================================================================
;
;       Configuration Bits
;
;   NAME            Address
;   CONFIG            2000h
;
;==========================================================================

; The following is an assignment of address values for all of the
; configuration registers for the purpose of table reads
_CONFIG          EQU  H'2000'


;----- CONFIG Options --------------------------------------------------
_FOSC_LP             EQU  H'FCFF'    ; LP oscillator: Low-power crystal on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_LP_OSC              EQU  H'FCFF'    ; LP oscillator: Low-power crystal on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_FOSC_XT             EQU  H'FDFF'    ; XT oscillator: Crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_XT_OSC              EQU  H'FDFF'    ; XT oscillator: Crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_FOSC_HS             EQU  H'FFFD'    ; HS oscillator: High-speed crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_HS_OSC              EQU  H'FFFD'    ; HS oscillator: High-speed crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
;_FOSC_EC             EQU  H'FFFD'    ; EC: I/O function on RA4/OSC2/CLKOUT pin, CLKIN on RA5/OSC1/CLKIN
;_EC_OSC              EQU  H'3FFB'    ; EC: I/O function on RA4/OSC2/CLKOUT pin, CLKIN on RA5/OSC1/CLKIN
_FOSC_INTRCIO        EQU  H'FFFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
_INTRC_OSC_NOCLKOUT  EQU  H'FFFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
_INTOSCIO            EQU  H'FFFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_FOSC_INTRCCLK       EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_INTRC_OSC_CLKOUT    EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_INTOSC              EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_FOSC_EXTRCIO        EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC_OSC_NOCLKOUT  EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRCIO             EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_FOSC_EXTRCCLK       EQU  H'FFFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC_OSC_CLKOUT    EQU  H'FFFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC               EQU  H'FFFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN

_WDTE_OFF            EQU  H'FFFB'    ; WDT disabled and can be enabled by SWDTEN bit of the WDTCON register
_WDT_OFF             EQU  H'FFFB'    ; WDT disabled and can be enabled by SWDTEN bit of the WDTCON register
_WDTE_ON             EQU  H'FFFF'    ; WDT enabled
_WDT_ON              EQU  H'FFFF'    ; WDT enabled

;_PWRTE_ON            EQU  H'3FEF'    ; PWRT enabled
;_PWRTE_OFF           EQU  H'3FFF'    ; PWRT disabled

;_MCLRE_OFF           EQU  H'3FDF'    ; MCLR pin function is digital input, MCLR internally tied to VDD
;_MCLRE_ON            EQU  H'3FFF'    ; MCLR pin function is MCLR

_CP_ON               EQU  H'FFEF'    ; Program memory code protection is enabled
_CP_OFF              EQU  H'FFFF'    ; Program memory code protection is disabled

;_CPD_ON              EQU  H'3F7F'    ; Data memory code protection is enabled
;_CPD_OFF             EQU  H'3FFF'    ; Data memory code protection is disabled

;_BOREN_OFF           EQU  H'3CFF'    ; BOR disabled
;_BOD_OFF             EQU  H'3CFF'    ; BOR disabled
;_BOR_OFF             EQU  H'3CFF'    ; BOR disabled
;_BOREN_SBODEN        EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOD_SBODEN          EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOR_SBODEN          EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOREN_NSLEEP        EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOD_NSLEEP          EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOR_NSLEEP          EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOREN_ON            EQU  H'3FFF'    ; BOR enabled
;_BOD_ON              EQU  H'3FFF'    ; BOR enabled
;_BOR_ON              EQU  H'3FFF'    ; BOR enabled

;_IESO_OFF            EQU  H'3BFF'    ; Internal External Switchover mode is disabled
;_IESO_ON             EQU  H'3FFF'    ; Internal External Switchover mode is enabled

;_FCMEN_OFF           EQU  H'37FF'    ; Fail-Safe Clock Monitor is disabled
;_FCMEN_ON            EQU  H'3FFF'    ; Fail-Safe Clock Monitor is enabled

;----- DEVID Equates --------------------------------------------------
;_DEVID1          EQU  H'2006'

;----- IDLOC Equates --------------------------------------------------
;_IDLOC0          EQU  H'2000'
;_IDLOC1          EQU  H'2001'
;_IDLOC2          EQU  H'2002'
;_IDLOC3          EQU  H'2003'

       
        LIST